{% extends 'dialog.html.twig' %}

{% block dialog_title %}
    <h1>{{ 'Authorization Request' | trans }}</h1>
{% endblock %}

{% block dialog_border %}
    {%- if is_granted('IS_IMPERSONATOR') %}border border-warning rounded border-5{% endif -%}
{% endblock %}

{% block dialog_body %}
    <p class="mt-3">{{
        'Application {appName} is requesting the following access:'
        |trans({'appName': '<strong>' ~ client.getName()|escape ~ '</strong>'})
        |raw
    }}</p>

    <ul>
        <li>{{ scope|trans }}</li>
    </ul>

    <form method="post" action="{{ target_uri }}" class="mt-3 text-center">
        <button class="btn btn-success btn-lg" type="submit" name="approve">{{ 'Approve'|trans }}</button>
        <button class="btn btn-danger btn-lg" type="submit" name="reject">{{ 'Reject'|trans }}</button>
    </form>

    <p class="mt-5">{{
        'You are logged as {username}.'
        |trans({'username': '<strong>' ~ appGlobals.loggedInUser|escape ~ '</strong>'})
        |raw
        }}</p>

    <div class="mt-3 text-center">
        <a class="btn btn-primary" href="{{
        path('account-login-form', {_target_path: app.request.getRequestUri()})}}">{{ 'Switch user'|trans }}</a>
    </div>

    {% if is_granted('CAN_SWITCH_TO_ANOTHER_MAILBOX')
        or is_granted('CAN_SWITCH_TO_ANOTHER_MAILBOX_DISABLED')
        or is_granted('IS_IMPERSONATOR')
    %}
        <h2 class="mt-5">{{ 'Administrator Access' | trans }}</h2>

        {% if is_granted('CAN_SWITCH_TO_ANOTHER_MAILBOX') %}
            <p class="mt-3">{{
                ('You are logged as an administrator.'
                    ~ ' You may approve the request for access on behalf of a managed account:')
                |trans({
                    username: '<strong>' ~ appGlobals.loggedInUser|escape ~ '</strong>',
                })
                |raw
                }}</p>

            <div class="mt-3 text-center">
                <a class="btn btn-warning" href="{{
                path('admin-switch-to-managed-account', {_target_path: app.request.getRequestUri()})}}">
                    {{ 'Choose managed account'|trans }}</a>
            </div>
        {% elseif is_granted('CAN_SWITCH_TO_ANOTHER_MAILBOX_DISABLED') %}
            <div class="mt-3 alert alert-secondary">
                <div class="row">
                    <div class="col-auto">
                        <span class="fa fa-triangle-exclamation"></span>
                    </div>

                    <div class="col">{{
                        ('You are logged as an administrator but do not have {link_start}two-factor verification{link_end} enabled.'
                        ~ ' Administrator functions are not therefore enabled.')
                        |trans({
                            username: '<strong>' ~ appGlobals.loggedInUser|escape ~ '</strong>',
                            link_start: '<a href="' ~ path('setup-account') ~ '">',
                            link_end: '</a>'
                        })|raw
                        }}
                    </div>
                </div>
            </div>
        {% elseif is_granted('IS_IMPERSONATOR') %}
            <p class="mt-3">{{ 'You are currently accessing mailbox on behalf on another user.'|trans }}</p>

            <div class="mt-3 text-center">
                <a class="btn btn-warning" href="{{ impersonation_exit_path(app.request.uri) }}">{{ 'Cancel'|trans }}</a>
            </div>
        {% endif %}
    {% endif %}
{% endblock %}
